import java.io.*;
import java.net.*;

class testSocketClient
{
    public static void main (String args[])
    {
        boolean bDebug=false;
        try
        {
            int port=8888;
            if (args.length != 0) port=Integer.parseInt(args[0]);
            Socket socket2server= new Socket(InetAddress.getLocalHost(), port);
            System.out.println("CLIENT: Socket erhalten!");
if (bDebug) System.out.println("CLIENT: Socket ["+socket2server+"] erhalten");

            String msg="Hallo, von Deinem Klienten!";
            System.out.println("CLIENT: sende Daten an Server...");
            socket2server.getOutputStream().write(msg.getBytes());

            byte b[]=new byte [100];    // maximal 100 Bytes auf einmal lesen
            int anz=socket2server.getInputStream().read(b);

            System.out.println("CLIENT: vom Server erhalten: ["+new String(b,0,anz)+"]");
// if (bDebug) System.out.println("LH: ["+InetAddress.getLocalHost()+"]");
        }
        catch (Exception exc)
        {
            System.err.println("Exception: ["+exc+"]");
            exc.printStackTrace();
            System.exit(-1);
        }
    }
}
