import java.io.*;
import java.net.*;

class testSocketServer
{
    public static void main (String args[])
    {
        boolean bDebug=false;
        try
        {
            int port=8888;
            if (args.length != 0) port=Integer.parseInt(args[0]);
            ServerSocket srvSock=new ServerSocket(port);
if (bDebug) System.out.println("Server: ServerSocket ["+srvSock+"] erhalten");

            Socket socket2client = null;   // Socket fr Client-Kommunikation
            System.out.println("Server: warte auf Client...");
            socket2client = srvSock.accept();
            System.out.println("Server: Anfrage von irgendeinem Client erhalten!");
if (bDebug) System.out.println("Server: Socket ["+socket2client+"] erhalten");

            byte b[]=new byte [2048];    // maximal 2 KB Daten auf einmal lesen
            int anzahl=socket2client.getInputStream().read(b);
            System.out.println("Server: erhaltene Client-Daten: ["+new String(b, 0, anzahl)+"]");

            String msg="Hallo vom Server!";
            System.out.println("Server: sende Daten an Client...");
            socket2client.getOutputStream().write(msg.getBytes());
        }
        catch (Exception exc)
        {
            System.err.println("Exception: ["+exc+"]");
            exc.printStackTrace();
            System.exit(-1);
        }
    }
}
