/* ---rgf, 2003-06-11, "Socket"-example, client part */

say "Client: program started."

   /* get the local Host InetAddress object */
      /* get the class object for "InetAddress" */
      /* get the InetAddress object representing the local host */
lh=.bsf~bsf.import('java.net.InetAddress') ~getLocalHost
say "local host:" lh~toString    /* show String representation */

   /* create a Socket object to communicate with the server */
socket2server=.bsf~new('java.net.Socket', lh, 8888)
say "Client: created Socket ["socket2server~toString"]"

   /* send the server data */
str=.bsf_proxy~new("Hello, this is from your client!")
say "Client: sending ["str"] to server..."
os=socket2server~getOutputStream
os~write(str~getBytes)

   /* receive data from server */
is=socket2server~getInputStream

b=.bsf~bsf.createArray('byte.class', 100)  /* create a "byte"-array   */
      /* read up to 100 bytes into 'b', 'received' will tell how many bytes were read */
received=is~read(b)
      /* turn 'byte'-array into a string object and show it  */
strObject=.bsf~new('java.lang.String', b, 0, received)
say "Client: data received from server: ["||strObject~toString"]"

say "Client: program ended."

::requires "BSF.cls" -- include Object Rexx support for BSF
