/* ---rgf, 2003-06-11, "Socket"-example, server part, 2005-06-10 */

say "Server: program started."

   /* create a Java ServerSocket object, listening on port 8888 */
srvSock=.bsf~new("java.net.ServerSocket", 8888)
say "Server: received ServerSocket ["srvSock~toString"]"

   /* wait for a client to look for this server */
      /* returns the Socket object to communicate with the client */
socket2client=srvSock~accept
say "Server: socket2client=["socket2client~toString"]"

   /* get data from the client */
   /* get the InputStream object from the Socket object:
      allows reading data sent by client */
is=socket2client~getInputStream
      /* create a 'byte' array to receive the bytes sent by the client */
b=.bsf~bsf.createArray( 'byte.class', 2048)  /* create a "byte"-array   */
      /* read up to 2048 bytes into 'b', 'received' will tell how many bytes were read */
received=is~read(b)
      /* turn 'byte'-array into a string object and show it  */
strObject=.bsf~new('java.lang.String', b, 0, received)
say "Server: data received from client: ["strObject~toString"]"

   /* sending data to client */
   /* get the OutputStream object from the Socket object:
      allows sending data to the client */
os=socket2client~getOutputStream
str=.bsf_proxy~new("Hello from Server!")
say "Server: sending ["str"] to client..."
      /* turn the string into a Java byte array and send it to the client */
os~write(str~getBytes)

say "Server: program ended."

::requires BSF.CLS -- include Object Rexx support for BSF
